# ulib/javaproperties

## `read_property`
~~~
Lire la propriété $2 dans le fichier $1, et placer la valeur dans la
variable $3. Si la propriété n'existe pas, prendre la valeur par défaut
$4. Si $3=="", elle est construite à partir de $2 en remplaçant les '.'
par '_'
Retourner 1 si une erreur s'est produite (par exemple si le fichier
n'existe pas ou n'est pas accessible en lecture)
~~~
## `write_property`
~~~
Ecrire la propriété $2 dans le fichier $1 avec la valeur $3.
Retourner 1 si une erreur s'est produite (par exemple si le fichier
n'existe pas ou n'est pas accessible en écriture)
~~~
## `write_properties`
~~~
Ecrire les propriétés $2..* dans le fichier $1. Les propriétés sont de la
forme "name=value"
~~~
## `norm_properties`
~~~
Normaliser un fichier de propriété: Les commentaires sont supprimés, les
valeurs sont triées par ordre alphabétique, les caractères accentués sont
remplacés par des caractères unicode \\uxxxx, les séquences unicodes sont
transformées en minuscule.
~~~

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary